Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030736
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2015-09-02 11:192015-09-07 21:18
ReporterVictorVillarView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision0a2625ff68a7
ProjectionnoneETAnoneTarget Version3.0PR15Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030736: The Delivery method is not popullated correctly in Goods Shipment

DescriptionThe Delivery method is not popullated correctly in Goods Shipment.
When you create a sales order, the delivery method shows as what is defined in the business partner customer tab but when you create a Shipment, it does not.
Steps To ReproduceDisplayed = yes for Delivery method and Delivery Terms in Sales Order window, Goods shipment window and Business Partner - Customer tab
AS group Admin role,
Go To Bussines Partner window,
 select Alimentos y Supermercados
   Navigate to Customer tab:
      Delivery Terms: Availability
      Delivery method: Shipper
Go to Sales Order,
 Business Partner: Alimentos y Supermercados.
 Realise that Delivery Terms: Availability
      Delivery method: Shipper

Go to Goods Shipment window,
    Business Partner: Alimentos y Supermercados.
 Realise that Delivery Terms: Availability
      Delivery method: pickup (this is wrong)
Besides it is necessary to think the behaviour of creating the lines from one sales order: should select the information from the Sales Order?
If you add the lines from different sales orders: should be blank?
   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0080041)
AtulOpenbravo (developer)
2015-09-03 11:23

Test Plan
- Login as System Administrator.
- Set Displayed = yes for Delivery method and Delivery Terms in Sales Order window, Goods shipment window and Business Partner - Customer tab.
- Login aS Group Admin role.
- Go To Bussines Partner window,
  - select Alimentos y Supermercados
  - Navigate to Customer tab:
      Set Delivery Terms: Complete Order.
      Set Delivery method: Shipper.
- Go to Sales Order, Create a new record.
  - Select Business Partner: Alimentos y Supermercados.
  - Check that Delivery Terms: Complete Order.
               Delivery method: Shipper.
- Go to Goods Shipment window, create a new record.
  - Select Business Partner: Alimentos y Supermercados.
  - Check that Delivery Terms: Complete Order.
               Delivery method: Shipper.
(0080085)
dmiguelez (developer)
2015-09-04 11:01

When using the Process to Create the Shipment Lines based on the Sales Order Lines, the information in the Shipment Header should not be modified.

The user has already defined the Header before launching the Create Lines Process, therefore modifying this information might be inconvenient.

This is why it is not required to change this process.
(0080086)
hgbot (developer)
2015-09-04 11:01

Repository: erp/devel/pi
Changeset: 0a2625ff68a736cc606f1898529e2d981df1462c
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Sep 03 15:00:55 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/0a2625ff68a736cc606f1898529e2d981df1462c [^]

Fixes Issue 30736:Delivery method is not populated from Business Partner in
Goods Shipment

Callout on Business Partner in Goods Shipment is modified to set Delivery
Method, Delivery Terms from business partner if exist other than default
values

---
M src/org/openbravo/erpCommon/ad_callouts/SL_InOut_BPartner.java
---
(0080087)
dmiguelez (developer)
2015-09-04 11:02

Code Review + Testing Ok
(0080215)
hudsonbot (developer)
2015-09-07 21:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f3ddf66cdf4b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-09-02 11:19 VictorVillar New Issue
2015-09-02 11:19 VictorVillar Assigned To => Triage Finance
2015-09-02 11:19 VictorVillar Modules => Core
2015-09-02 11:19 VictorVillar Triggers an Emergency Pack => No
2015-09-02 11:21 VictorVillar Issue Monitored: networkb
2015-09-03 11:04 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-09-03 11:04 AtulOpenbravo Status new => scheduled
2015-09-03 11:23 AtulOpenbravo Note Added: 0080041
2015-09-04 11:01 dmiguelez Note Added: 0080085
2015-09-04 11:01 hgbot Checkin
2015-09-04 11:01 hgbot Note Added: 0080086
2015-09-04 11:01 hgbot Status scheduled => resolved
2015-09-04 11:01 hgbot Resolution open => fixed
2015-09-04 11:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0a2625ff68a736cc606f1898529e2d981df1462c [^]
2015-09-04 11:02 dmiguelez Review Assigned To => dmiguelez
2015-09-04 11:02 dmiguelez Note Added: 0080087
2015-09-04 11:02 dmiguelez Status resolved => closed
2015-09-07 21:18 hudsonbot Checkin
2015-09-07 21:18 hudsonbot Note Added: 0080215


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker